<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                template="/layout/template.xhtml">

    <ui:define name="body">
        <ui:decorate template="/pdq/supplierConfiguration.xhtml">
            <ui:param name="managedBean" value="#{pixv3managerGuiManager}"/>
            <ui:param name="title"
                      value="#{messages['net.ihe.gazelle.patientmanager.PIXV3PatientIdentifierCrossReferenceManager']}"/>
            <ui:param name="imagePath" value="diag/PAT_IDENTITY_MGR_V3.png"/>
            <ui:param name="displayDomains" value="false"/>
            <ui:define name="parameters">
                <dl>
                    <s:decorate id="charsetDecoration" template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.HL7Common.Endpoint']}</ui:define>
                        <h:outputText
                                value="#{pixv3managerGuiManager.endpointUrl}"/>
                    </s:decorate>

                    <s:decorate id="ipDecoration" template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.pam.ReceiverDeviceidRootOID']}</ui:define>
                        <h:outputText
                                value="#{pixv3managerGuiManager.deviceId}"/>
                    </s:decorate>

                    <s:decorate id="portDecoration" template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.pam.ReceiverOrganizationOID']}</ui:define>
                        <h:outputText
                                value="#{pixv3managerGuiManager.organizationOid}"/>
                    </s:decorate>
                </dl>
            </ui:define>
        </ui:decorate>
    </ui:define>
</ui:composition>